function [pop, f] = repTournamentOldVsNew(pop, f, offspring, foff, varargin, o)

if ~exist('o','var') | isempty(o), o = struct; end
if iscell(o), o = struct(o{:}); end
if ~isfield(o,'verbose'), o.verbose = 0; end

if o.verbose,
    fprintf('Repl Tnmt Old vs New ');
end

[popsize, dim] = size(pop);
for i = 1:popsize,
    if foff(i) < f(i),
        f(i) = foff(i);
        pop(i,:) = offspring(i,:);
    end
    if o.verbose, fprintf('.'); end
end

if o.verbose, fprintf('done.\n'); end
